[Fusionforge-commits] r8728 - / trunk/gforge/debian trunk/gforge/debian/dsf-in trunk/gforge/packaging/control trunk/gforge/packaging/cron.d trunk/gforge/packaging/dirs trunk/gforge/packaging/install

Christian Bayle cbayle at libremir.placard.fr.eu.org
Sun Feb 7 16:28:18 CET 2010


Author: cbayle
Date: 2010-02-07 16:28:17 +0100 (Sun, 07 Feb 2010)
New Revision: 8728

Added:
   trunk/
   trunk/gforge/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in
   trunk/gforge/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in
   trunk/gforge/packaging/control/035web-apache2-vhosts
   trunk/gforge/packaging/control/035web-apache2-vhosts.shortdesc
   trunk/gforge/packaging/cron.d/web-apache2-vhosts
   trunk/gforge/packaging/dirs/web-apache2-vhosts
   trunk/gforge/packaging/install/web-apache2-vhosts
Removed:
   trunk/
Modified:
   trunk/gforge/debian/changelog
   trunk/gforge/debian/control
   trunk/gforge/packaging/cron.d/web-apache2
   trunk/gforge/packaging/dirs/lists-mailman
   trunk/gforge/packaging/install/common
   trunk/gforge/packaging/install/lists-mailman
   trunk/gforge/packaging/install/web-apache2
Log:
Add new web-apache2-vhosts package and move related files in it


Modified: trunk/gforge/debian/changelog
===================================================================
--- trunk/gforge/debian/changelog	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/debian/changelog	2010-02-07 15:28:17 UTC (rev 8728)
@@ -1,4 +1,4 @@
-gforge (4.8.55-1) experimental; urgency=low
+gforge (4.8.58-1) experimental; urgency=low
   
   [ Christian Bayle ]
   * put debian postinst/prerm/config/.. files in dsf-in dir
@@ -17,8 +17,12 @@
   * Simplified debian/rules by using Debhelper 7.
   * Dropped dependency on -ftp-proftpd from the meta-package.
 
- -- Roland Mas <lolando at debian.org>  Fri, 29 Jan 2010 11:27:29 +0100
+  [ Christian Bayle ]
+  * Add new -web-apache2-vhosts package and moved vhosts files in this
+    package.
 
+ -- Christian Bayle <bayle at debian.org>  Sun, 07 Feb 2010 16:04:59 +0100
+
 gforge (4.8.51-1) experimental; urgency=low
 
   * Fixed blackhole syntax for gforge-mta-exim4 so as not to require

Modified: trunk/gforge/debian/control
===================================================================
--- trunk/gforge/debian/control	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/debian/control	2010-02-07 15:28:17 UTC (rev 8728)
@@ -54,6 +54,19 @@
  This package contains the files needed to run the web part of
  FusionForge on an Apache webserver.
 
+Package: gforge-web-apache2-vhosts
+Architecture: all
+Depends: gforge-web-apache2, ${misc:Depends}
+Description: collaborative development tool - web vhosts (using Apache)
+ FusionForge provides many tools to aid collaboration in a
+ development project, such as bug-tracking, task management,
+ mailing-lists, SCM repository, forums, support request helper,
+ web/FTP hosting, release management, etc. All these services are
+ integrated into one web site and managed through a web interface.
+ .
+ This package contains the files needed to run project vhosts
+ FusionForge on an Apache webserver.
+
 Package: gforge-web-apache
 Architecture: all
 Depends: gforge-web-apache2, ${misc:Depends}

Added: trunk/gforge/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in
===================================================================
--- trunk/gforge/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in	                        (rev 0)
+++ trunk/gforge/debian/dsf-in/web-apache2-vhosts.postinst.dsfh-in	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,49 @@
+#! /bin/sh
+# postinst script for @PACKAGE@
+#
+# see: dh_installdeb(1)
+
+set -e
+#set -x				# Be verbose, be very verbose.
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/share/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+    configure)
+        @PACKAGE at -config
+	# Make Apache see these new changes
+	invoke-rc.d apache2 reload || true
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: trunk/gforge/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in
===================================================================
--- trunk/gforge/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in	                        (rev 0)
+++ trunk/gforge/debian/dsf-in/web-apache2-vhosts.postrm.dsfh-in	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,35 @@
+#! /bin/sh
+# postrm script for @PACKAGE@
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/share/doc/packaging-manual/
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	@PACKAGE at -config
+        # Make Apache see these new changes
+	invoke-rc.d apache2 reload || true
+	;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#

Added: trunk/gforge/packaging/control/035web-apache2-vhosts
===================================================================
--- trunk/gforge/packaging/control/035web-apache2-vhosts	                        (rev 0)
+++ trunk/gforge/packaging/control/035web-apache2-vhosts	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,4 @@
+Package: @PACKAGE at -web-apache2-vhosts
+Architecture: all
+Depends: @PACKAGE at -web-apache2, ${misc:Depends}
+Description: collaborative development tool - web vhosts (using Apache)

Added: trunk/gforge/packaging/control/035web-apache2-vhosts.shortdesc
===================================================================
--- trunk/gforge/packaging/control/035web-apache2-vhosts.shortdesc	                        (rev 0)
+++ trunk/gforge/packaging/control/035web-apache2-vhosts.shortdesc	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,2 @@
+ This package contains the files needed to run project vhosts
+ FusionForge on an Apache webserver.

Modified: trunk/gforge/packaging/cron.d/web-apache2
===================================================================
--- trunk/gforge/packaging/cron.d/web-apache2	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/packaging/cron.d/web-apache2	2010-02-07 15:28:17 UTC (rev 8728)
@@ -4,6 +4,3 @@
 
 # Clean cached files older than 60 minutes
 25 * * * * root [ -d /var/cache/gforge ] && find /var/cache/gforge/ -type f -and -cmin +60 -exec /bin/rm -f "{}" \; > /dev/null 2>&1
-
-# Enable the virtual hosts
-37 7,19 * * * root [ -x /usr/share/gforge/bin/create-vhosts.sh ] && /usr/share/gforge/bin/create-vhosts.sh > /dev/null 2>&1

Added: trunk/gforge/packaging/cron.d/web-apache2-vhosts
===================================================================
--- trunk/gforge/packaging/cron.d/web-apache2-vhosts	                        (rev 0)
+++ trunk/gforge/packaging/cron.d/web-apache2-vhosts	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,6 @@
+#
+# Regular cron jobs for the web-apache2-vhosts package
+#
+
+# Enable the virtual hosts
+37 7,19 * * * root [ -x /usr/share/gforge/bin/create-vhosts.sh ] && /usr/share/gforge/bin/create-vhosts.sh > /dev/null 2>&1

Modified: trunk/gforge/packaging/dirs/lists-mailman
===================================================================
--- trunk/gforge/packaging/dirs/lists-mailman	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/packaging/dirs/lists-mailman	2010-02-07 15:28:17 UTC (rev 8728)
@@ -1,3 +1,4 @@
 etc/gforge
 usr/share/gforge/bin
+usr/share/gforge/etc/httpd.d/
 var/lib/gforge/etc

Added: trunk/gforge/packaging/dirs/web-apache2-vhosts
===================================================================
--- trunk/gforge/packaging/dirs/web-apache2-vhosts	                        (rev 0)
+++ trunk/gforge/packaging/dirs/web-apache2-vhosts	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,6 @@
+usr/share/gforge/etc/httpd.d
+usr/share/gforge/bin
+var/lib/gforge/etc
+var/lib/gforge/etc/templates
+etc/gforge
+etc/logrotate.d

Modified: trunk/gforge/packaging/install/common
===================================================================
--- trunk/gforge/packaging/install/common	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/packaging/install/common	2010-02-07 15:28:17 UTC (rev 8728)
@@ -1,4 +1,4 @@
-etc/httpd.d/[0-9][0-9]*                usr/share/gforge/etc/httpd.d/
+etc/httpd.d/[0-1,6-9][0-9]*            usr/share/gforge/etc/httpd.d/
 etc/httpd.d/httpd*                     usr/share/gforge/etc/httpd.d/
 etc/local.d/[0-9][0-9]*                usr/share/gforge/etc/local.d/
 etc/templates/*\.*                     usr/share/gforge/etc/templates/

Modified: trunk/gforge/packaging/install/lists-mailman
===================================================================
--- trunk/gforge/packaging/install/lists-mailman	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/packaging/install/lists-mailman	2010-02-07 15:28:17 UTC (rev 8728)
@@ -1,2 +1,3 @@
+etc/httpd.d/2[0-9]*              usr/share/gforge/etc/httpd.d/
 deb-specific/create-mailing-lists.pl usr/share/gforge/bin/
 deb-specific/fix-mailing-lists.pl    usr/share/gforge/bin/

Modified: trunk/gforge/packaging/install/web-apache2
===================================================================
--- trunk/gforge/packaging/install/web-apache2	2010-02-07 01:04:32 UTC (rev 8720)
+++ trunk/gforge/packaging/install/web-apache2	2010-02-07 15:28:17 UTC (rev 8728)
@@ -1,6 +1,3 @@
 www                                 usr/share/gforge/
 www/index_std.php                   etc/gforge/custom/
 utils/install-apache.sh             usr/share/gforge/bin/
-deb-specific/create-vhosts.sh       usr/share/gforge/bin/
-deb-specific/prepare-vhosts-file.pl usr/share/gforge/bin/
-deb-specific/gforge.logrotate       etc/logrotate.d/gforge-web-apache2

Added: trunk/gforge/packaging/install/web-apache2-vhosts
===================================================================
--- trunk/gforge/packaging/install/web-apache2-vhosts	                        (rev 0)
+++ trunk/gforge/packaging/install/web-apache2-vhosts	2010-02-07 15:28:17 UTC (rev 8728)
@@ -0,0 +1,3 @@
+deb-specific/create-vhosts.sh       usr/share/gforge/bin/
+deb-specific/prepare-vhosts-file.pl usr/share/gforge/bin/
+deb-specific/gforge.logrotate       etc/logrotate.d/gforge-web-apache2




More information about the Fusionforge-commits mailing list